Subject: Ryan Inst. BBS (800-261-3659)

From: [email-masked]
Date: Fri, 30 Sep 1994 11:17:58 UNDEFINED

Ryan Instruments (Manufacturer of Temperature and Humidity monitoring 
devices) has a new BBS that offers product brochures and other misc. files.  
Feel free to dial us up, browse around  and leave any comments to the Sysop.  
It is still under construction and we are looking for ways to make it 
worthwhile for you and our customers.

1-800-261-3659
or
1-206-883-0695